For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • GET/ic/workers/invoices/:invoice_id/pdf
      • POSTCreate a new worker
      • GETGet invoice details by ID
      • GETList of worker compliance documents
      • GETRetrieve worker transaction history
LogoLogo
SupportDeel Home
EndpointsWorkers

Create a new worker

POST
/worker
POST
/rest/v2/worker
$curl -X POST https://api.letsdeel.com/rest/v2/worker \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "email": "john.doe@deel.com",
> "company": {
> "type": "INDIVIDUAL",
> "personal": {
> "zip": null,
> "city": "Toronto",
> "phone": 14165550123,
> "street": "123 Front Street West",
> "citizen": "CA",
> "personal_id": 123456789
> }
> },
> "timezone": "America/Toronto",
> "last_name": "Doe",
> "first_name": "John",
> "contract_id": "m4xdqx6",
> "profile_type": "CONTRACTOR"
> }
>}'
1{
2 "data": {
3 "user_id": "usr_abc123def456",
4 "profile_id": "prf_xyz789uvw321",
5 "contract_id": "m4xdqx6"
6 }
7}

Creates a new worker record and returns the associated user_id, profile_id, and contract_id for the created worker.

Was this page helpful?
Previous

Get invoice details by ID

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
dataobjectRequired

Response

Worker created successfully
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication